package com.adealink.weparty.commonui.ripple.lifecyle

import com.adealink.weparty.commonui.ripple.RippleView
import java.lang.ref.WeakReference

/**
 */
class RippleLifecycle(view: RippleView) : BaseLifecycle {
    private val reference = WeakReference(view)
    override fun onResume() {
        reference.get()?.onResume()
    }

    override fun onPause() {
        reference.get()?.onPause()
    }

    override fun onDestroy() {
        reference.get()?.onStop()
    }
}